uniform sampler2D tex;
varying vec2  texOffset;
varying float color;
varying float rad;

void main (void){
	if(color <= 0.0) discard;

	vec2  point      = gl_PointCoord - 0.5;
	float theta      = atan(point.t, point.s);
	float radius     = length(point);
	point = vec2(cos(theta+rad), sin(theta+rad));
	point *= radius;
	point += 0.5;

	//select
//	point      = (point + texOffset) * 0.5;

	gl_FragColor    = texture(tex,          point);
	gl_FragColor.a *= color;
	if(gl_FragColor.a <= 0.0) discard;
}
