// mzflash.vert
// put mzflash.x in same folder/directory

#define timeLength 0.25
#define RADIUS 0.5

uniform float time;

varying vec2  texCoord;

void main(void){
	if(time < 0.0 || time > timeLength) {
		gl_Position = 0.0;
		texCoord = 0.0;
		return;
	}
	float time_0_X = 1.0 - time/timeLength;
	texCoord.st = gl_Vertex.xz*0.5+0.5;
	float w = cos(time_0_X * 1.0);
	if(w > 0.0){
//		w = pow(w, 32.0);
		w = pow(w,  2.0);
	}else{
		w = 0.0;
	}
	gl_Vertex.xz *= w*RADIUS;
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex.xzyw;
}
