// extractBright.frag

uniform sampler2D tex;
/*uniform*/ float LumThresh = 0.75f;  // Luminance threshold

//varying vec3 position;
//varying vec3 normal;

float luminance( vec3 color ) {
	return 0.2126 * color.r + 0.7152 * color.g + 0.0722 * color.b;
}

void main (void)
{
	//pass1
	vec4  color   = texture2DProj(tex, gl_TexCoord[0]);
//	vec3  fnormal = normalize(normal);
//	vec3  light   = normalize(gl_LightSource[0].position.xyz - position);
//	float diffuse = dot(light, fnormal);
//
//	gl_FragColor = color * gl_LightSource[0].ambient;
//	if (diffuse > 0.0) {
//		vec3 view    = normalize(position);
//		vec3 halfway = normalize(light - view);
//		float specular = pow(max(dot(fnormal, halfway), 0.0), gl_FrontMaterial.shininess);
//		gl_FragColor += color * gl_LightSource[0].diffuse  * diffuse
//		                + gl_FrontLightProduct[0].specular * specular;
//	}
//	gl_FragColor = color;

	//pass2  to extract the bright parts
	if( luminance(color.rgb) > LumThresh )
////		return         color * 0.5;
		gl_FragColor = color * 0.5;
//		gl_FragColor = color;
//		gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);
	else
////		return vec4(0.0);
//		gl_FragColor = vec4(0.0);
		gl_FragColor = vec4(0.0, 0.0, 0.0, 1.0);
}
